Still wondering if there is an update so that this is compatible with the most current version of Firefox?!